@keyframes showIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

body {
  font-family: 'Pathway Gothic One', 'sans-serif';
  background-color: #a7dcdf;
  margin: 0;
  width: 100%;
  height: 100%;
}

html {
  box-sizing: border-box;
  height: 100%;
}


p,
label {
  color: black;
}

input[type="radio"] {
  color: #1e446e;
}


#start, #restart {
 font-family: 'Pathway Gothic One', 'sans-serif';
 background: #d72c33;
 font-size: 1.3em;
 text-align: center;
 display: block;
 margin: auto;
 margin-top:4px;
 border-radius: 10px;
 -webkit-border-radius: 10px;
 -moz-border-radius: 10px;
  color: #fff;
  width: 150px;
  height: 30px;
	line-height:30px;
	
	-moz-transition: background-color 0.5s ease;
  -o-transition: background-color 0.5s ease;
  -webkit-transition: background-color 0.5s ease;
  transition: background-color 0.5s ease;
  cursor: pointer;
  border: 0
}
#start:hover, #restart:hover {
	background: #ff0000;
}

.panel {
  display: none;
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: 9;
  opacity: 1;
}
.panel.panel--active {
  display: block;
  animation: showIn 0.3s linear forwards;
  z-index: 9;
}

#puzzle {
  cursor: pointer;
}

.wrapper {
  padding: 10px;
  position: relative;
}
.wrapper .wrapper__intro {
  /*border: 5px solid #0ebeff;
  background-color: #fff;*/
  border-radius: 5px;
  max-width: 300px;
  /*padding: 20px;*/
  margin: 0 auto;
}


#winner {
  position: absolute;
  top: 50%;
  margin-top: -60px;
  margin-left: -80px;
  left: 50%;
  width: 120px;
  height: 70px;
  background-color: #fff;
	background: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
  padding: 20px;
  display: none;
	font-size: 20px;
  /*border: 4px solid #1e446e;*/
}
#winner.winner--active {
  display: block;
  align-content: center;
  animation: showIn 0.3s linear forwards;
  z-index: 9;
}
#winner p {
  margin: 0;
}
#winner button {
font-family: 'Pathway Gothic One', 'sans-serif';
 background: #d72c33;
 font-size: 100%;
 text-align: center;
 display: block;
 /*padding: 2%;*/
	
 margin: auto;
 margin-top:10px;
 border-radius: 10px;
 -webkit-border-radius: 10px;
 -moz-border-radius: 10px;
  color: #fff;
  width: 90px;
  height: 30px;
	line-height:30px;
	
	-moz-transition: background-color 0.5s ease;
  -o-transition: background-color 0.5s ease;
  -webkit-transition: background-color 0.5s ease;
  transition: background-color 0.5s ease;
  cursor: pointer;
  border: 0
}
#winner button:hover {
	background: #ff0000;
}

input[type="radio"] {
  display: none;
}
input[type="radio"] + label {
  position: relative;
  display: inline-block;
  padding-left: 1.5em;
  cursor: pointer;
  line-height: 1em;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  width: 50%;
  text-align: left;
  margin-right: 0;
}
@media only screen and (min-width: 768px) {
  input[type="radio"] + label {
    width: auto;
    text-align: center;
    margin-right: 2em;
  }
}


input[type="radio"] + label:before, input[type="radio"] + label:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 1em;
  height: 1em;
  text-align: center;
  color: white;
  border-radius: 50%;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
input[type="radio"] + label:before {
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  box-shadow: inset 0 0 0 0.2em white, inset 0 0 0 1em #1e446e;
}
input[type="radio"] + label:hover:before {
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  box-shadow: inset 0 0 0 0.3em white, inset 0 0 0 1em #000f1f;
}
input[type="radio"]:checked + label:before {
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  box-shadow: inset 0 0 0 0.2em white, inset 0 0 0 1em #0ebeff;
}


.tit{
	font-size: 24px;
	width: 100%
}
.txt{
	font-size: 20px;
}


@media (min-width: 768px) {
	#puzzle {
    width: 300px;
	height: 300px;
   }
}


@media (max-width: 320px){
	#puzzle {
    width: 250px;
	height: 250px; 
   }
}
	
/*@media (max-width: 360px) {
	#puzzle {
    width: 75%; 
   }
}
*/
@media (max-width: 480px) {
	#puzzle {
    width: 250px;
	height: 250px;
   }
}
